.TH "INDIGO-DEPICT" "1" "29/12/2013" "indigo" "User Manual"

.SH "NAME"
indigo-depict \- molecule and reaction rendering utility

.SH "SYNOPSIS"
.B indigo-depict
.I infile.{mol,rxn,cml,smi}
.I outfile.{png,svg,pdf}
.RB [ parameters ]
.PP
.B indigo-depict
.I infile.{cml,rdf,rdf.gz,sdf,sdf.gz,smi}
.I outfile_%s.{png,svg,pdf}
.RB [ parameters ]
.PP
.B indigo-depict
.I infile.smi
.I outfile.{cml,mol,rdf,rxn,sdf}
.RB [ parameters ]
.PP
.B indigo-depict \-
.I SMILES
.I outfile.{cml,mol,pdf,png,rxn,svg}
.RB [ parameters ]
.PP
.B indigo-depict \-help

.SH "DESCRIPTION"
.B indigo-depict
is used for depicting molecules.

.SH "OPTIONS"
.B indigo-depict
can read input files or SMILES code from the standard input. These can be
followed by one or more of the following parameters.
.PP
.TP
.BI "\-w " <number>
Picture width in pixels
.TP
.BI "\-h " <number>
Picture height in pixels
.TP
.BI "\-bond " <number>
Average bond length in pixels
.TP
.BI "\-margins " <number> " " <number>
Horizontal and vertical margins, in pixels. No margins by default
.TP
.BI "\-thickness " <number>
Set relative thickness factor. Default is \fI1.0\fR
.TP
.BI "\-linewidth " <number>
Set bond line width factor. Default is \fI1.0\fR
.TP
.BI "\-label " <none|hetero|terminal-hetero|all>
Set atom label display mode. Default is \fIterminal-hetero\fR
.TP
.BI "\-hydro " <on|off>
Show implicit hydrogens. Default is \fIon\fR
.TP
.B \-[de]arom
Force [de]aromatization
.TP
.BI "\-stereo " <old|ext|none>
Stereogroups display mode. Default is \fIold\fR
.TP
.B \-cdbwsa
Center double bonds which have an adjacent stereo bond (disabled by default)
.TP
.B \-query
Treat the input as a query molecule or reaction (disabled by default)
.TP
.B \-smarts
Treat the input as a SMARTS query molecule or reaction (disabled by default)
.TP
.BI "\-idfield " <string>
SDF/RDF field to be put in place of '%s' in the names of saved files (default
is molecule/reaction number)
.TP
.BI "\-catalysts " <above|above-and-below>
Reaction catalysts placement w.r.t. the arrow. Default is \fIabove-and-below\fR
.TP
.BI "\-comment " <string>
Text comment to be put above the molecule or reaction. No default value
.TP
.BI "\-commentoffset " <number>
Vertical space (in pixels) between the comment and the structure
.TP
.BI "\-commentfield " <string>
Use specified SDF/RDF field as a comment
.TP
.B \-commentname
Use molecule/reaction name as a comment
.TP
.BI "\-commentsize " <number>
Text comment font size factor relative to bond thickness. Default is \fI6\fR
.TP
.BI "\-commentpos " <top|bottom>
Text comment position (bottom by default)
.TP
.B "\-commentalign " <0..1>
Text comment alignment, a float value: \fI0\fR = left, \fI0.5\fR = center,
\fI1\fR = right
.TP
.B "\-coloring " <on|off>
Enable/disable coloring. Default is \fIon\fR
.TP
.B \-hlthick
Enable highlighting with thick lines and bold characters
.TP
.BI "\-hlcolor " <red> " " <green> " " <blue>
Enable highlighting with color. Component values must be in range [\fI0..255\fR]
.TP
.BI "\-bgcolor " <red> " " <green> " " <blue>
Set the background color. Component values must be in range [\fI0..255\fR]
.TP
.BI "\-basecolor " <red> " " <green> " " <blue>
Set the default foreground color. Component values must be in range [\fI0..255\fR]
.TP
.BI "\-aamcolor " <red> " " <green> " " <blue>
Set the color of AAM indices. Component values must be in range [\fI0..255\fR]
.TP
.BI "\-dsgcolor " <red> " " <green> " " <blue>
Set the color of data SGroups. Component values must be in range [\fI0..255\fR]
.TP
.BI "\-commentcolor " <red> " " <green> " " <blue>
Set the color of the comment. Component values must be in range [\fI0..255\fR]
.TP
.B \-atomnumbers
Show atom numbers (for debugging purposes only)
.TP
.B \-bondnumbers
Show bond numbers (for debugging purposes only)
.TP
.B \-onebased
Start atom and bond indices from one. Default is from zero
.TP
.B \-help
Print this help message

.SH "EXAMPLES"
.nf
.B indigo-depict infile.mol outfile.png \-coloring off \-arom
.B indigo-depict database.sdf molecule_%s.png \-idfield cdbregno \-thickness 1.1
.B indigo-depict database.smi database.sdf
.B indigo-depict \- "CC.[O\-][*\-]([O\-])=O" query.png \-query
.B indigo-depict \- "OCO>>CC(C)N" reaction.rxn
.fi

.SH "AUTHOR"
This manual page was written by Daniel Leidert <\&dleidert@debian.org\&>,
for the Debian GNU/Linux system (but may be used by others).
